Bug 1478563 - [RFE] Warning message on "admin" username during Azure provision
Summary: [RFE] Warning message on "admin" username during Azure provision
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Daniel Berger
QA Contact: Leo Khomenko
URL:
Whiteboard: ui:provision
Depends On: 1454829
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 19:44 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
9 users (show)

Fixed In Version: 5.8.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1454829
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 19:46:18 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/0c39c467217b47095ac4a8c8bd47fa87c02241a7

commit 0c39c467217b47095ac4a8c8bd47fa87c02241a7
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jul 10 15:55:19 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 15:45:27 2017 -0400

    Merge pull request #15513 from djberg96/validate_blacklist
    
    Add validate_blacklist method for VM pre-provisioning
    (cherry picked from commit 34cab60b852f37c0c5145a07b68cd07f45cc6e8c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478563

 .../miq_request_workflow/dialog_field_validation.rb      |  8 ++++++++
 spec/models/miq_request_workflow_spec.rb                 | 16 ++++++++++++++++
 2 files changed, 24 insertions(+)

Comment 3 CFME Bot 2017-08-08 14:46:17 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4a7a549b3cdcadae7a236d7a91489d82cdf5ea8f

commit 4a7a549b3cdcadae7a236d7a91489d82cdf5ea8f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jul 12 15:46:18 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:31:25 2017 -0400

    Merge pull request #88 from djberg96/provisioning_blacklist
    
    Add blacklists for VM username and password when provisioning
    (cherry picked from commit 0c3e664e7c4297f3b07bb442174c7eda3734031b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478563

 .../miq_provision_azure_dialogs_template.yaml           | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

Comment 6 Daniel Berger 2017-08-29 17:52:23 UTC
Leo, known issue: https://github.com/ManageIQ/manageiq-ui-classic/issues/1630

Comment 8 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.